# Validating Suframa Registration in the Public API

In the Public API, you can make up to 3 queries per minute of a Suframa registration using the POST method.

Remember to send the CNPJ without special characters.

**Method:** `POST`

**Endpoint:** `https://publica.cnpj.ws/suframa`

### Request Examples

{% openapi src="/files/n7RtQ06UcCvDw6MXtUKg" path="/suframa" method="post" %}
[openapi-publica.yaml](https://content.gitbook.com/content/543mjjjP3f2OCfQR723f/blobs/yOuxzELWexSq8tRanIyR/openapi-publica.yaml)
{% endopenapi %}

We have a package that can help you integrate with JavaScript:

```shell
yarn add consultar-cnpj
```

```js
const consultarCNPJ = require("consultar-cnpj");

async function getCNPJ() {
  const cnpj = "61940292006682";
  const incricao = "210140267";

  const empresa = await consultarCNPJ.suframa(cnpj, incricao);
  console.log(empresa);
}
```

[More information about the package](https://www.npmjs.com/package/consultar-cnpj)

#### Return Example

Below is an example of the JSON returned when searching for the CNPJ **61940292006682** and registration **210140267**:

```json
{
  "cnpj_raiz": "61940292",
  "cnpj": "61940292006682",
  "inscricao_suframa": "210140267",
  "ativo": true,
  "atualizado_em": "2022-01-16T12:28:32.384Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cnpj.ws/en/api-reference/api-publica/validando-inscricao-suframa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
